Bug 579564 - Edit Button Displays for a Map of Read Only Elements
Edit Button Displays for a Map of Read Only Elements
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
1.3
All All
low Severity high (vote)
: ---
: ---
Assigned To: Charles Crouch
Mike Foley
:
Depends On:
Blocks: rhq4 config/individual-config
  Show dependency treegraph
 
Reported: 2010-04-05 16:44 EDT by Ted Jones
Modified: 2015-02-01 18:26 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-03 12:59:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ted Jones 2010-04-05 16:44:24 EDT
Description of problem: I have a list of maps displaying on my configuration page of a custom plugin. The Edit button displays even if my list and all map elements have readonly="true". The Edit button should not display if all elements in a map are read only.


Version-Release number of selected component (if applicable): 1.3 (in Embedded Jopr 1.2.0.)


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results: The Edit button displays for a map with no editable elements


Expected results: The Edit button does not display for a map with no editable elements.


Additional info:
Comment 1 Ian Springer 2011-02-17 12:32:58 EST
See if this is still an issue in coregui.
Comment 2 Ian Springer 2011-03-01 10:51:50 EST
In coregui, if all the member props are read-only or the config editor is in read-only mode, a View icon is displayed, rather than an Edit icon. We always want to have one or the other, because the popup map editor shows additional information that is not shown on the main config editor view, namely non-summary member props and description and unset status for each member prop.
Comment 3 Mike Foley 2011-06-17 11:48:39 EDT
Verified as follows:

Using the #Test Read-only Configuration test view ...
http://localhost:7080/coregui/#Test/Configuration/ReadOnlyConfigEditor 

tested:
1) on a read-only config edit that the list of maps was non-editable...and has a view icon and not an edit icon.
2) on a non-read-only config that the list of maps was editable and had an edit icon
3) on a read-only group config editor ... N/A (list of maps not supported)
4) on a non-read-only group config editor ... N/A (list of maps not supported)
Comment 5 Heiko W. Rupp 2013-09-03 12:59:58 EDT
Bulk closing of old issues that are in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.